Bug 833154 - Review Request: eclipse-wtp-jeetools - Frameworks and tools for Eclipse, focused on the development of J2EE artifacts
Review Request: eclipse-wtp-jeetools - Frameworks and tools for Eclipse, focu...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Krzysztof Daniel
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-18 13:45 EDT by Gerard Ryan
Modified: 2014-01-12 19:27 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-07 17:55:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
kdaniel: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Gerard Ryan 2012-06-18 13:45:45 EDT
Spec URL: http://galileo.fedorapeople.org/eclipse-wtp-jeetools/3.4.0/0.1.20120618cvs/eclipse-wtp-jeetools.spec

SRPM URL: http://galileo.fedorapeople.org/eclipse-wtp-jeetools/3.4.0/0.1.20120618cvs/eclipse-wtp-jeetools-3.4.0-0.1.20120618cvs.fc17.src.rpm

Description: The Java EE Tools Project is a set of Eclipse plugins that provides frameworks and tools focused on the development of J2EE artifacts.

Fedora Account System Username: galileo
Comment 1 Gerard Ryan 2012-06-18 18:53:07 EDT
Note: the following additional license files exist:

./plugins/org.eclipse.jst.j2ee/license/berkeley_license.html
./plugins/org.eclipse.jst.jee/license/berkeley_license.html

but I haven't been able to find any code licensed under anything besides the EPL. I don't know why these files are here, and I haven't included them.
Comment 2 Krzysztof Daniel 2012-06-22 02:52:24 EDT
I'll review this one.
Comment 3 Krzysztof Daniel 2012-06-22 03:52:21 EDT
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== Generic ====
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[x]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL is required
[x]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[x]: MUST Large documentation files are in a -doc subpackage, if required.
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
[x]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generate any conflict.
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[z]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[!]: MUST Package installs properly.
Error: Package: eclipse-wtp-jeetools-3.4.0-0.1.20120618cvs.fc18.noarch (/eclipse-wtp-jeetools-3.4.0-0.1.20120618cvs.fc18.noarch)
           Requires: osgi(org.eclipse.wst.wsdl)
Error: Package: eclipse-wtp-jeetools-3.4.0-0.1.20120618cvs.fc18.noarch (/eclipse-wtp-jeetools-3.4.0-0.1.20120618cvs.fc18.noarch)
           Requires: osgi(org.eclipse.wst.ws.explorer)
Error: Package: eclipse-wtp-jeetools-3.4.0-0.1.20120618cvs.fc18.noarch (/eclipse-wtp-jeetools-3.4.0-0.1.20120618cvs.fc18.noarch)
           Requires: osgi(org.eclipse.wst.ws)
Error: Package: eclipse-wtp-jeetools-3.4.0-0.1.20120618cvs.fc18.noarch (/eclipse-wtp-jeetools-3.4.0-0.1.20120618cvs.fc18.noarch)
           Requires: osgi(org.eclipse.wst.command.env.core)
Error: Package: eclipse-wtp-jeetools-3.4.0-0.1.20120618cvs.fc18.noarch (/eclipse-wtp-jeetools-3.4.0-0.1.20120618cvs.fc18.noarch)
           Requires: eclipse-wtp-webservices
Error: Package: eclipse-wtp-jeetools-3.4.0-0.1.20120618cvs.fc18.noarch (/eclipse-wtp-jeetools-3.4.0-0.1.20120618cvs.fc18.noarch)
           Requires: osgi(org.eclipse.wst.wsdl.validation)
Error: Package: eclipse-wtp-jeetools-3.4.0-0.1.20120618cvs.fc18.noarch (/eclipse-wtp-jeetools-3.4.0-0.1.20120618cvs.fc18.noarch)
           Requires: osgi(org.eclipse.wst.ws.parser)
Error: Package: eclipse-wtp-jeetools-3.4.0-0.1.20120618cvs.fc18.noarch (/eclipse-wtp-jeetools-3.4.0-0.1.20120618cvs.fc18.noarch)
           Requires: osgi(org.eclipse.wst.ws.ui)
Error: Package: eclipse-wtp-jeetools-3.4.0-0.1.20120618cvs.fc18.noarch (/eclipse-wtp-jeetools-3.4.0-0.1.20120618cvs.fc18.noarch)
           Requires: osgi(org.eclipse.wst.command.env)

[!]: MUST Requires correct, justified where necessary.
Eclipse bundles should have version specified (as they are very version sensitive).

[x]: MUST Rpmlint output is silent.

rpmlint eclipse-wtp-jeetools-3.4.0-0.1.20120618cvs.fc18.noarch.rpm

1 packages and 0 specfiles checked; 0 errors, 0 warnings.


rpmlint eclipse-wtp-jeetools-3.4.0-0.1.20120618cvs.fc18.src.rpm

eclipse-wtp-jeetools.src: W: invalid-url Source0: eclipse-wtp-jeetools-3.4.0-HEAD-20120618cvs.tar.xz
1 packages and 0 specfiles checked; 0 errors, 1 warnings.


[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
Package has no sources or they are generated by developer
[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains a SysV-style init script if in need of one.
[x]: MUST File names are valid UTF-8.
[-]: MUST Useful -debuginfo package or justification otherwise.
[x]: SHOULD Reviewer should test that the package builds in mock.
[x]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: SHOULD Package functions as described.
[x]: SHOULD Latest version is packaged.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[!]: SHOULD SourceX / PatchY prefixed with %{name}.
     Note: Source1: fetch-wtp-jeetools.sh (fetch-wtp-jeetools.sh) Patch0:
     jeetools-fix-javax-wsdl-versions.patch (jeetools-fix-javax-wsdl-
     versions.patch) Patch1: jeetools-jst.enterprise_core-fix-featurexml.patch
     (jeetools-jst.enterprise_core-fix-featurexml.patch) Patch2: jeetools-fix-
     jst-enterpriseui-featurexml.patch (jeetools-fix-jst-enterpriseui-
     featurexml.patch) Patch3: jeetools-jem.proxy-fix-getTypeClass-
     method.patch (jeetools-jem.proxy-fix-getTypeClass-method.patch) Patch4:
     jeetools-jst.j2ee.webservice-manifest.patch (jeetools-jst.j2ee
     .webservice-manifest.patch)
[x]: SHOULD SourceX is a working URL.
[x]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[-]: SHOULD %check is present and all tests pass.
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.


==== Java ====
[x]: MUST If source tarball includes bundled jar/class files these need to be
     removed prior to building
[x]: MUST Packages have proper BuildRequires/Requires on jpackage-utils
[x]: MUST Fully versioned dependency in subpackages, if present.
[-]: MUST Javadoc documentation files are generated and included in -javadoc
     subpackage
     Note: No javadoc subpackage present
[-]: MUST Javadoc subpackages have Requires: jpackage-utils
[-]: MUST Javadocs are placed in %{_javadocdir}/%{name} (no -%{version}
     symlink)
     Note: No javadoc subpackage present
[x]: SHOULD Package has BuildArch: noarch (if possible)
[x]: SHOULD Package uses upstream build method (ant/maven/etc.)


==== Maven ====
[x]: MUST Old add_to_maven_depmap macro is not being used
[x]: MUST If package contains pom.xml files install it (including depmaps)
     even when building with ant

Issues:
(1) Installation issues - missing dependencies on f18
(2) Majority of patches have incorrect names.
(3) Unversioned 'Requires'.
Comment 4 Gerard Ryan 2012-06-22 08:11:28 EDT
Thanks for taking this!

Regarding Issue (1): Is this relating to the errors in this part?:
[!]: MUST Package installs properly.

All of the osgi packages that give an error there, are from eclipse-wtp-webservices, and indeed eclipse-wtp-webservices is throwing an error here. I don't understand this, as eclipse-wtp-webservices is already in rawhide[1]. Is it not finding this package, or am I misunderstanding the issue?

[1] http://koji.fedoraproject.org/koji/packageinfo?packageID=14110
Comment 5 Gerard Ryan 2012-06-22 09:37:35 EDT
Issue (3):
For the eclipse bundles, I understand that the versions for the osgi bundles are specified in the MANIFEST.MF files for each plugin. At the moment, they look like this by default:

org.eclipse.wst.wsdl;bundle-version="[1.2.0,1.3.0)"

- is that enough or should they require the exact bundle that's packaged in Fedora? In which case the above example would look like:
org.eclipse.wst.wsdl;bundle-version="1.2.300"

The default in that example seems to work fine[1]. I don't know why none of that stuff was being picked up when you tried to build.

[1] http://koji.fedoraproject.org/koji/taskinfo?taskID=4187879
Comment 6 Gerard Ryan 2012-06-22 17:50:07 EDT
Spec URL: http://galileo.fedorapeople.org/eclipse-wtp-jeetools/3.4.0/0.2.20120618cvs/eclipse-wtp-jeetools.spec
SRPM URL: http://galileo.fedorapeople.org/eclipse-wtp-jeetools/3.4.0/0.2.20120618cvs/eclipse-wtp-jeetools-3.4.0-0.2.20120618cvs.fc17.src.rpm

- changed the patch names to be properly prefixed by %{name}
- added min versions to all BR/R except java and jpackage-utils

In your first review, it seems that eclipse-wtp-webservices wasn't included as a dependency for some reason, even though it's in rawhide, as linked in comment #4 above. Any ideas why that might be? Is there something I haven't done with that package that's preventing it?

Thanks again for your time!
Comment 7 Krzysztof Daniel 2012-06-25 04:17:33 EDT
Thanks, for the package.

APPROVED.
Comment 8 Gerard Ryan 2012-06-25 08:40:10 EDT
New Package SCM Request
=======================
Package Name: eclipse-wtp-jeetools
Short Description: A set of Eclipse plugins that provides frameworks and tools focused on the development of J2EE artifacts
Owners: galileo
Branches: f17
InitialCC:
Comment 9 Gwyn Ciesla 2012-06-26 11:05:14 EDT
Git done (by process-git-requests).
Comment 10 Fedora Update System 2012-06-27 19:15:03 EDT
eclipse-wtp-jeetools-3.4.0-0.2.20120618cvs.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/eclipse-wtp-jeetools-3.4.0-0.2.20120618cvs.fc17
Comment 11 Fedora Update System 2012-06-30 04:26:50 EDT
eclipse-wtp-jeetools-3.4.0-0.2.20120618cvs.fc17 has been pushed to the Fedora 17 testing repository.
Comment 12 Fedora Update System 2012-07-07 17:55:23 EDT
eclipse-wtp-jeetools-3.4.0-0.2.20120618cvs.fc17 has been pushed to the Fedora 17 stable repository.

Note You need to log in before you can comment on or make changes to this bug.